package com.gree.mall.contest.bean.common;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.IsYesNoEnum;
import com.gree.mall.contest.enums.MiniPortEnum;
import com.gree.mall.contest.enums.StatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class CarouselMapVO {

    @ZfireField(hide = true)
    @Schema(description = "轮翻id")
    private String id;

    @Schema(description = "轮播图名称")
    private String carouselName;

    @Schema(description = "状态")
    private StatusEnum state;

    @Schema(description = "小程序端口")
    private MiniPortEnum port;

    @Schema(description = "是否跳转菜单")
    private IsYesNoEnum type;

    @Schema(description = "菜单链接")
    private String linkUrl;

    @Schema(description = "图片地址")
    private String imgSrc;

    @Schema(description = "排序")
    private Integer sortNum;

    @Schema(description = "创建人")
    private String createBy;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新人")
    private String updateBy;

    @Schema(description = "更新时间")
    private Date updateTime;
}
