package com.gree.mall.contest.bean.member;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.NDStatusEnum;
import com.gree.mall.contest.enums.UserTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class UserVO {

    @ZfireField(hide = true)
    @Schema(description = "id")
    private String userId;

    @Schema(description = "联系电话")
    private String mobile;

    @Schema(description = "微信昵称")
    private String nickName;

    @Schema(description = "所属网点")
    private String websitName;

    @Schema(description = "商户")
    private String companyName;

    @Schema(description = "头像")
    private String avatar;

    @Schema(description = "微信的openid(小程序用户标识)")
    private String openId;

    @Schema(description = "微信unionid（用户微信唯一标识）")
    private String unionId;

    @Schema(description = "角色")
    private UserTypeEnum type;

    @Schema(description = "状态")
    private NDStatusEnum status;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "修改人")
    private Date updateBy;

    @Schema(description = "修改时间")
    private Date updateTime;

    @ZfireField(hide = true)
    @Schema(description = "商户id")
    private String companyWechatId;

    @ZfireField(hide = true)
    @Schema(description = "网点编号")
    private String websitId;

}
