package com.gree.mall.contest.bean.order;

import com.gree.mall.contest.bean.goods.AckGoodsBean;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderAckBean {

    @Schema(description = "商品总金额")
    private BigDecimal totalAmount;
    @Schema(description = "商品详情")
    private List<AckGoodsBean> goods;
    @Schema(description = "商品总数量")
    private Integer totalNum;
    @Schema(description = "openid")
    private String openId;
    @Schema(description = "是否为秒杀活动")
    private Boolean isSecKill = false;
    @Schema(description = "运费")
    private BigDecimal freight;
    @Schema(description = "优惠券或者优惠码抵消金额")
    private BigDecimal exchangeAmount;
    @Schema(description = "折扣抵消金额")
    private BigDecimal discountAmount;
    @Schema(description = "订单实际支付金额 总金额 - 优惠券/优惠码金额 - 折扣扣减金额")
    private BigDecimal payAmount;
    @Schema(description = "折扣活动的折扣")
    private BigDecimal promotionDiscountRate;
    @Schema(description = "云闪付是否记录下单人信息")
    private Boolean isRecordBuyer;
}
