package com.gree.mall.contest.controller.pc.member;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.contest.exception.RemoteServiceException;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.member.UserCouponLogic;
import com.gree.mall.contest.plus.entity.UserCoupon;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@Slf4j
@RestController
@Tag(name = "券领取记录", description = "券领取记录")
@RequestMapping(value = "/pc/coupon/receive", produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class MemberCouponController {

    private final UserCouponLogic userCouponLogic;

    @GetMapping("/list/page")
    @Operation(summary = "领取记录列表")
    public ResponseHelper<Page<UserCoupon>> page(
            HttpServletRequest request,
            @Parameter(description = "券名称") @RequestParam(required = false) String couponName,
            @Parameter(description = "券类型") @RequestParam(required = false) String couponType,
            @Parameter(description = "页号",required = true) @RequestParam Integer pageNum,
            @Parameter(description = "页大小",required = true) @RequestParam Integer pageSize
    ) throws RemoteServiceException {
        IPage<UserCoupon> page = userCouponLogic.page(request,couponName, couponType, pageNum, pageSize);
        return ResponseHelper.success(page);
    }
}
