package com.gree.mall.contest.controller.pc.websit;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.contest.helper.ResponseHelper;
import com.gree.mall.contest.logic.websit.WebsitLogic;
import com.gree.mall.contest.plus.entity.AdminWebsit;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@Slf4j
@RestController
@Tag(name = "网点", description = "网点")
@RequestMapping(value = "/pc/websit", produces = "application/json; charset=utf-8")
@RequiredArgsConstructor
public class WebsitController {

    private final WebsitLogic websitLogic;

    @GetMapping("/list")
    @Operation(summary = "网点列表")
    public ResponseHelper<Page<AdminWebsit>> list(
            HttpServletRequest request,
            @Parameter(description = "页号", required = true) @RequestParam Integer pageNum,
            @Parameter(description = "页大小", required = true) @RequestParam Integer pageSize
    ) {
        IPage<AdminWebsit> list = websitLogic.list(pageNum, pageSize);
        return ResponseHelper.success(list);
    }


}
